Debian Bug report logs - #559647
aborts when making a filesystem larger than 2048 MiB

version graph

Package: ufsutils; Maintainer for ufsutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for ufsutils is src:ufsutils.

Reported by: Robert Millan <rmh.debian.bts@aybabtu.com>

Date: Sun, 6 Dec 2009 00:51:01 UTC

Severity: important

Found in version ufsutils/7.2-3

Fixed in version ufsutils/7.3-1

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559647; Package ufsutils. (Sun, 06 Dec 2009 00:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh.debian.bts@aybabtu.com>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 06 Dec 2009 00:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh.debian.bts@aybabtu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aborts when making a filesystem larger than 2048 MiB
Date: Sun, 06 Dec 2009 01:49:52 +0100
Package: ufsutils
Version: 7.2-3
Severity: important

mkfs aborts when making a filesystem larger than 2048 MiB.  This
size limit (equivalent to INT32_MAX sectors) seems to indicate that
it's using 32-bit signed types to measure number of blocks instead
of unsigned 64-bit.

$ sudo mkfs.ufs /dev/ad1
Reduced frags per cylinder group from 94064 to 94056 to enlarge last cyl group
/dev/ad1: 4194304.0MB (0 sectors) block size 16384, fragment size 2048
	using 22832 cylinder groups of 183.70MB, 11757 blks, 23552 inodes.
super-block backups (for fsck -b #) at:
 160, 376384, 752608, 1128832, 1505056, 1881280, 2257504, 2633728, 3009952,
 [...]
 2144476960, 2144853184, 2145229408, 2145605632, 2145981856, 2146358080,
 2146734304, 2147110528,mkfs.ufs: wtfs: 65536 bytes at sector -2147480544: Input/output error

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 7.2-1-amd64
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages ufsutils depends on:
ii  libbsd0                  0.1.6-1         utility functions from BSD systems
ii  libc0.1                  2.10.2-2        GNU C Library: Shared libraries
ii  libedit2                 2.11-20080614-1 BSD editline and history libraries
ii  libncurses5              5.7+20090803-2  shared libraries for terminal hand

ufsutils recommends no packages.

ufsutils suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559647; Package ufsutils. (Tue, 08 Dec 2009 16:06:10 GMT) Full text and rfc822 format available.

Message #8 received at 559647@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 559647@bugs.debian.org
Subject: debian-specific bug
Date: Tue, 8 Dec 2009 17:04:28 +0100
I tried with newfs from FreeBSD 7.2 (using 7.2-RELEASE-amd64-bootonly.iso),
and it doesn't seem to be affected by this problem.

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559647; Package ufsutils. (Fri, 15 Jan 2010 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 15 Jan 2010 14:57:03 GMT) Full text and rfc822 format available.

Message #13 received at 559647@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Robert Millan <rmh.debian.bts@aybabtu.com>, 559647@bugs.debian.org
Subject: Re: Bug#559647: aborts when making a filesystem larger than 2048 MiB
Date: Fri, 15 Jan 2010 15:55:34 +0100
Robert Millan a écrit :
> Package: ufsutils
> Version: 7.2-3
> Severity: important
> 
> mkfs aborts when making a filesystem larger than 2048 MiB.  This
> size limit (equivalent to INT32_MAX sectors) seems to indicate that
> it's using 32-bit signed types to measure number of blocks instead
> of unsigned 64-bit.
> 

It actually aborts at 1 TiB (2^31 sectors * 512 bytes).

The problem is that ufsutils uses daddr_t to represent the block number
on the disk. This is supposed to be the "type of a disk address", but is
defined as signed 32-bit in the Linux kernel, and signed 64-bit in the
FreeBSD kernel.

The GNU libc type matches the Linux kernel type on GNU/Linux systems,
and the FreeBSD libc type also matches the FreeBSD kernel.

I have modified the GNU libc type on GNU/kFreeBSD to match the kernel
definition fixing this bug (after a rebuild) on this platform. For
GNU/Linux, we will probably have to modify ufsutils sources.

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559647; Package ufsutils. (Fri, 15 Jan 2010 15:21:06 GMT) Full text and rfc822 format available.

Message #16 received at 559647@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh.debian.bts@aybabtu.com>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 559647@bugs.debian.org
Subject: Re: Bug#559647: aborts when making a filesystem larger than 2048 MiB
Date: Fri, 15 Jan 2010 16:17:03 +0100
On Fri, Jan 15, 2010 at 03:55:34PM +0100, Aurelien Jarno wrote:
> 
> I have modified the GNU libc type on GNU/kFreeBSD to match the kernel
> definition fixing this bug (after a rebuild) on this platform. For
> GNU/Linux, we will probably have to modify ufsutils sources.

It sounds like this could potentially cause massive ABI change in
libraries/programs that use this type.

Although it doesn't sound like a common type.  But I'd avoid it.

-- 
Robert Millan

  "Be the change you want to see in the world" -- Gandhi




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559647; Package ufsutils. (Fri, 15 Jan 2010 15:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 15 Jan 2010 15:30:03 GMT) Full text and rfc822 format available.

Message #21 received at 559647@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Robert Millan <rmh.debian.bts@aybabtu.com>
Cc: 559647@bugs.debian.org
Subject: Re: Bug#559647: aborts when making a filesystem larger than 2048 MiB
Date: Fri, 15 Jan 2010 16:27:57 +0100
Robert Millan a écrit :
> On Fri, Jan 15, 2010 at 03:55:34PM +0100, Aurelien Jarno wrote:
>> I have modified the GNU libc type on GNU/kFreeBSD to match the kernel
>> definition fixing this bug (after a rebuild) on this platform. For
>> GNU/Linux, we will probably have to modify ufsutils sources.
> 
> It sounds like this could potentially cause massive ABI change in
> libraries/programs that use this type.
> 
> Although it doesn't sound like a common type.  But I'd avoid it.
> 

I have done some checks and found it is basically not used outside of
our FreeBSD packages. That's probably why this problem hasn't been seen
before.


-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Tue, 13 Apr 2010 22:24:05 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh.debian.bts@aybabtu.com>:
Bug acknowledged by developer. (Tue, 13 Apr 2010 22:24:05 GMT) Full text and rfc822 format available.

Message #26 received at 559647-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 559647-close@bugs.debian.org
Subject: Bug#559647: fixed in ufsutils 7.3-1
Date: Tue, 13 Apr 2010 22:22:07 +0000
Source: ufsutils
Source-Version: 7.3-1

We believe that the bug you reported is fixed in the latest version of
ufsutils, which is due to be installed in the Debian FTP archive:

ufsutils-udeb_7.3-1_kfreebsd-amd64.udeb
  to main/u/ufsutils/ufsutils-udeb_7.3-1_kfreebsd-amd64.udeb
ufsutils_7.3-1.diff.gz
  to main/u/ufsutils/ufsutils_7.3-1.diff.gz
ufsutils_7.3-1.dsc
  to main/u/ufsutils/ufsutils_7.3-1.dsc
ufsutils_7.3-1_kfreebsd-amd64.deb
  to main/u/ufsutils/ufsutils_7.3-1_kfreebsd-amd64.deb
ufsutils_7.3.orig.tar.gz
  to main/u/ufsutils/ufsutils_7.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 559647@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated ufsutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 13 Apr 2010 22:20:32 +0200
Source: ufsutils
Binary: ufsutils ufsutils-udeb
Architecture: source kfreebsd-amd64
Version: 7.3-1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 ufsutils   - UFS filesystems utilities
 ufsutils-udeb - stripped-down versions of ufsutils, for debian-installer (udeb)
Closes: 559647
Changes: 
 ufsutils (7.3-1) unstable; urgency=low
 .
   [ Petr Salinger ]
   * New upstream version (RELENG_7_3_0_RELEASE)
   * Use intmax_t cast in fsbtodb() to fix aborts when
     making a filesystem larger than one terabyte. Closes: #559647.
 .
   [ Aurelien Jarno ]
   * Bump Standard-Versions to 3.8.4 (no changes).
Checksums-Sha1: 
 e1fdf3ec0cf4060b8e99e00ea8600d3d6f03b496 1280 ufsutils_7.3-1.dsc
 dd1607bb3cd6465d4cfdec50a44c1af5d21bd694 463864 ufsutils_7.3.orig.tar.gz
 87332d1af3341b5e264545f62413192f9c49b7c4 19613 ufsutils_7.3-1.diff.gz
 73a3b17cebe43d96e80c967da42220c4ee208e55 165730 ufsutils_7.3-1_kfreebsd-amd64.deb
 245de537b7cd932ff154c263ed1d9933e980cc60 85384 ufsutils-udeb_7.3-1_kfreebsd-amd64.udeb
Checksums-Sha256: 
 9b1cc31e2b49b90d75abceaba819193593c8f7559628f76c7ee853d45e50d081 1280 ufsutils_7.3-1.dsc
 0795f0d7c8f966e265bf67c7c8473a7122e39a062c92808c2637e15369cd1529 463864 ufsutils_7.3.orig.tar.gz
 9fe0f450f5f8046cfc31ff7612b01bd8e9031ef96ff077df1ef6d96a71e0b0d7 19613 ufsutils_7.3-1.diff.gz
 1d52fb0d864023f4d1b28ef3d0626f50f268c84c96f0d389ce615c9e01f2f47c 165730 ufsutils_7.3-1_kfreebsd-amd64.deb
 6d348bbe869197aef41b7baeda6700de681d0ed5129fec6aa6f20190d6af656a 85384 ufsutils-udeb_7.3-1_kfreebsd-amd64.udeb
Files: 
 001a9a8b1c4d279562d2bf55c3a1b728 1280 utils optional ufsutils_7.3-1.dsc
 c94ac5a6d63b85d39a31861e207d5ba4 463864 utils optional ufsutils_7.3.orig.tar.gz
 f1ff6cb05ff4bb406a0b7f618a4865a9 19613 utils optional ufsutils_7.3-1.diff.gz
 d669b3bc713a7293bc6b8708ef73c163 165730 utils optional ufsutils_7.3-1_kfreebsd-amd64.deb
 2e91af41e4f157fc4dae56da90972c45 85384 debian-installer optional ufsutils-udeb_7.3-1_kfreebsd-amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFLxNJkw3ao2vG823MRAn6xAJ9DoVqwa2LRwO1YniRmLJR7Tq4S1wCfRnrC
5saqojCSU9UPS2zDHPbARcc=
=0FrT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 22 May 2010 07:36:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:39:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.